/* Version 4.2
** QQ:271513820 
** Up:2019.12.02*/
var xzcms = {
//start
'browser':{//浏览器信息
	'url': document.URL,
	'domain': document.domain,
	'title': document.title,
	'language': (navigator.browserLanguage || navigator.language).toLowerCase(),//zh-tw|zh-hk|zh-cn
	'canvas' : function(){
		return !!document.createElement('canvas').getContext;
	}(),
	'useragent' : function(){
		var ua = navigator.userAgent;//navigator.appVersion
		return {
			'mobile': !!ua.match(/AppleWebKit.*Mobile.*/), //是否为移动终端 
			'ios': !!ua.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
			'android': ua.indexOf('Android') > -1 || ua.indexOf('Linux') > -1, //android终端或者uc浏览器 
			'iPhone': ua.indexOf('iPhone') > -1 || ua.indexOf('Mac') > -1, //是否为iPhone或者QQHD浏览器 
			'iPad': ua.indexOf('iPad') > -1, //是否iPad
			'trident': ua.indexOf('Trident') > -1, //IE内核
			'presto': ua.indexOf('Presto') > -1, //opera内核
			'webKit': ua.indexOf('AppleWebKit') > -1, //苹果、谷歌内核
			'gecko': ua.indexOf('Gecko') > -1 && ua.indexOf('KHTML') == -1, //火狐内核 
			'weixin': ua.indexOf('MicroMessenger') > -1 //是否微信 ua.match(/MicroMessenger/i) == "micromessenger",			
		};
	}()
},
'cms':{//系统
	'nav': function($id){//主导航高亮
		$id = $('nav[data-dir]').attr('data-dir');
		$($id).addClass("active");
	},
	'pre':function(){//代码高亮
		if($("pre code").length){
			$.ajaxSetup({ 
				cache: true 
			});
			$("<link>").attr({ rel: "stylesheet",type: "text/css",href: "Public/css/googlecode.min.css"}).appendTo("head");
			$.getScript("Public/js/highlight.min.js", function(){
				$('pre code').each(function(i, block) {
					hljs.highlightBlock(block);
				});
			});
		}
	},
	'collapse':function(){//内容详情折叠与自适应图片
		$('.xz-content img').addClass("img-responsive");
		$('body').on("click", "[data-toggle=xz-collapse]", function(){
			$this = $(this);
			$($this.attr('data-target')).toggle();
			$($this.attr('data-default')).toggle();
			if($this.attr('data-html')){
				$data_html = $this.html();
				$this.html($this.attr('data-html'));
				$this.attr('data-html',$data_html);
			}
			if($this.attr('data-val')){
				$data_val = $this.val();
				$this.val($this.attr('data-val'));
				$this.attr('data-val',$data_val);
			}
		});
	},
	'pushBaidu':function(){
		var bp = document.createElement('script');
    var curProtocol = window.location.protocol.split(':')[0];
    if (curProtocol === 'https') {
        bp.src = 'https://zz.bdstatic.com/linksubmit/push.js';
    }
    else {
        bp.src = 'http://push.zhanzhang.baidu.com/push.js';
    }
    var s = document.getElementsByTagName("script")[0];
    s.parentNode.insertBefore(bp, s);
	}
},
'mobile':{//移动端专用
	'jump': function(){
		if( cms.domain_m && (xzcms.browser.domain != cms.domain_m) ){
			self.location.href = xzcms.browser.url.replace(xzcms.browser.domain,cms.domain_m);
		}
	},
	'nav': function(){
		$("#xz-nav-btn").bind('click', function(){
			$('#xz-nav-btn-item').toggleClass("hidden").toggleClass("d-none");
		});
	},
	'goback': function(){
		if(history.length > 0 && document.referrer){
			$(".xz-goback").show();
			$('.xz-goback').attr('href','javascript:history.go(-1);');
		}else{
			$(".xz-goback").hide();
		}
	},
	'flickity':function(){//手机滑动
		if($(".xz-gallery").length){
			$.ajaxSetup({ 
				cache: true 
			});
			$("<link>").attr({
				rel: "stylesheet",
				type: "text/css",
				href: cms.root+"Public/jquery.flickity/2.1.1/flickity.min.css"
			}).appendTo("head");
			$.getScript(cms.root+"Public/jquery.flickity/2.1.1/flickity.pkgd.min.js", function(){
				$(".xz-gallery").each(function(i){
					$index = $(this).find('.gallery-active').index()*1;
					if($index > 3){
						$index = $index-3;
					}else{
						$index = 0;
					}
					$(this).flickity({
						cellAlign: 'left',
						freeScroll: true,
						lazyLoad: true,
						contain: true,
						prevNextButtons: false,
						resize: true,
						initialIndex: $index,
						pageDots: false
					});
				});
			});
		}
	}
},
'scroll':{//滚动条
	'fixed' : function($id, $top, $width){// 悬浮区域
		var offset = $('#'+$id).offset();
		if(offset){
			if(!$top){
				$top = 5;
			}
			if(!$width){
				$width = $('#'+$id).width();
			}			
			$(window).bind('scroll', function(){
				if($(this).scrollTop() > offset.top){
					$('#'+$id).css({"position":"fixed","top":$top+"px","width":$width+"px"});
				}else{
					$(('#'+$id)).css({"position":"relative"});
				}
			});		
		}
	},
	'totop':function($id, $top){ //返回顶部
		// $id:dc-totop $top:偏移值
		$('body').append('<a href="#" class="'+$id+'" id="'+$id+'"><i class="glyphicon glyphicon-chevron-up"></i></a>');
		$(window).bind('scroll', function(){
			if($(this).scrollTop() > $top){
				$('#'+$id).fadeIn("slow");
			}else{
				$('#'+$id).fadeOut("slow");
			}
		});
	}
},
'language':{//简繁转换
	's2t':function(){
		if(xzcms.browser.language=='zh-hk' || xzcms.browser.language=='zh-tw'){
			$.getScript("Public/js/s2t.min.js", function(data, status, jqxhr) {
				$(document.body).s2t();//$.s2t(data);
			});
		}
	},
	't2s':function(){
		if(xzcms.browser.language=='zh-cn'){
			$.getScript("Public/js/s2t.min.js", function(data, status, jqxhr) {
				$(document.body).t2s();//$.s2t(data);
			});
		}
	}
},
'page': {//分页
	'more': function(){
		$('body').on('click', '.xz-page-more', function(){
			$this = $(this);
			$page = $(this).attr('data-page')*1+1;
			$id = $this.attr('data-target');
			$.get($(this).attr('data-url')+$page, function(data){
				if(data){
					$($id).append(data);
					$this.attr("data-page",$page);
					$($id+" .xz-img").lazyload();
				}else{
					$this.hide();
					$this.unbind("click");
				}
			},'html');
		});
	},
	'keydown': function(){
	  var prev = $('#xz-prev').attr("href");
	  var next = $('#xz-next').attr("href");
	  $("body").keydown(function(event){
		  if(event.keyCode==37 && prev!=undefined) location=prev; 
		  if(event.keyCode==39 && next!=undefined) location=next; 
	  });
  },
	'scroll': function(){
		if( $(".xz-page-scroll").length ){
			var $e = $(".xz-page-scroll").eq(0);
			$(window).bind('scroll', function(){
				$this = $(this);
				$page = $e.attr('data-page')*1+1;
				$id = $e.attr('data-target');
				if( ($(this).scrollTop() + $(window).height()) >= $(document).height() ){
					$.get($e.attr('data-url')+$page, function(data){
						if(data){
							$(".xz-page-scroll").eq(0).attr("data-page",$page);
							$($id).append(data);
							$($id+" .xz-img").lazyload();
						}else{
							$(".xz-page-scroll").remove();
							$this.unbind("scroll");
						}
					},'html');
				}
			});
		}
	}
},
'alert':{//提示
	'success':function($id, $tips){
		$($id).html('<div class="alert alert-success"><strong>'+$tips+'</strong><a href="#" class="close" data-dismiss="alert">&times;</a></div>');
	},
	'warning':function($id, $tips){
		$($id).html('<div class="alert alert-warning"><strong>'+$tips+'</strong><a href="#" class="close" data-dismiss="alert">&times;</a></div>');
	}
},
'image': {//图片
	'lazyload': function(){//延迟加载
		$.ajaxSetup({
			cache: true
		});
		$.getScript(cms.root+"Public/jquery.lazyload/1.9.7/jquery.lazyload.min.js", function(response, status) {
			$("img.xz-img").lazyload({
				placeholder : cms.root+"Public/images/no.jpg",
				effect : "fadeIn",
				failurelimit: 15
				//threshold : 400
				//skip_invisible : false
				//container: $(".carousel-inner"),
			}); 
		});
	},
	'qrcode': function(){//生成二维码
		//$("[data-toggle='popover']").popover({html: true});
		$(".glyphicon-phone").popover({
				html: true
		});
		$(".glyphicon-phone").on('show.bs.popover', function () {
			$(".glyphicon-phone").attr('data-content','<img class="xz-qrcode" src="https://api.pwmqr.com/qrcode/create/?url='+encodeURIComponent(xzcms.browser.url)+'"/>');
		})
	},
	'vcode':function(){//安全码
		return '<label><img class="xz-vcode-img" src="'+cms.root+'index.php?s=Vcode-Index"></label>';
	},
	'slide':function(){//轮播幻灯
		$('.xz-slide').carousel({interval: $('.xz-slide').attr('data-interval')*1});
	}
},
'vcode': {//验证码
	'load': function(){
		xzcms.vcode.focus();
		xzcms.vcode.click();
	},
	'focus': function(){//验证码框焦点
		$('body').on("focus", ".xz-vcode", function(){
			$(this).removeClass('xz-vcode').parent().after(xzcms.image.vcode());
			$(this).unbind();
		});
	},
	'click': function(){//点击刷新
		$('body').on('click', 'img.xz-vcode-img', function(){
			$(this).attr('src', cms.root+'index.php?s=Vcode-Index');
		});
	}
},
'search': {//搜索
	'keydown': function(){//回车 4.1update
		$(".xz-search input").keyup(function(event){
			if(event.keyCode == 13){
				$form = $(this).parents('form');
				$wd = $form.find('.xz-wd').val();
				$action = $form.attr('data-action');
				if(!$wd){
					$form.find('.xz-wd').focus();
					$form.find('.xz-wd').attr('data-toggle','tooltip').attr('data-placement','bottom').attr('title','请输入关键字').tooltip('show');
					return false;
				}
				if($action){
					location.href = $action.replace('XZWD',encodeURIComponent($wd));
					return false;
				}
			}
		});
	},
	'dropdown': function(){//下拉菜单
		$(".xz-search .dropdown-menu li a").on("click", function(){
			$form = $(this).parents('form');
			if($(this).attr('data-action')){
				$form.attr('data-sid','');
				$form.attr('data-action', $(this).attr('data-action'));
				$form.find('.dropdown-toggle .title').html($(this).html());
			}
		});
	},
	'submit': function(){//搜索表单 4.1update
		$(".xz-search").on("submit", function(){
			$wd = $(this).find('.xz-wd').val();
			$action = $(this).attr('data-action');
			if(!$wd){
				$(this).find('.xz-wd').focus();
				$(this).find('.xz-wd').attr('data-toggle','tooltip').attr('data-placement','bottom').attr('title','请输入关键字').tooltip('show');
				return false;
			}
			if($action){
				location.href = $action.replace('XZWD',encodeURIComponent($wd));
				return false;
			}
		});
	},
	'autocomplete': function(){//3.5增加搜索结果控制 4.1update
		var $limit = $('.xz-search').eq(0).attr('data-limit')*1;
		var $sid = $('.xz-search').eq(0).attr('data-sid')*1;
		if( $limit > 0){
			$.ajaxSetup({
				cache: true
			});
			$.getScript(cms.root+"Public/jquery.devbridge-autocomplete/1.4.7/jquery.autocomplete.min.js", function(response, status) {
				$('.xz-wd').autocomplete({
					serviceUrl : cms.root+'index.php?g=home&m=search&a=api&sid='+$sid,
					params: {'limit': $limit},
					paramName: 'wd',
					maxHeight: 400,
					transformResult: function(response) {
						var obj = $.parseJSON(response);
						return {
							suggestions: $.map(obj.data, function(dataItem) {
								return { value: dataItem.name, data: dataItem.link };
							})
						};
					},
					onSelect: function (suggestion) {
						location.href = suggestion.data;
						//alert('You selected: ' + suggestion.value + ', ' + suggestion.data);
					}
				});
			});
		}
	},
	'hot':function(){
		$(".xz-search [data-toggle='tooltip']").tooltip();
		$("#xz-site-hot").load(cms.root+"index.php?s=ajax-site_hot");
	}
},
'record': {//云记录
	'load': function(){
		xzcms.record.get();
		xzcms.record.set();
		xzcms.record.del();
	},
	'get':function(){
		//后端获取记录
		if($(".xz-record-get").eq(0).length){
			$.get(cms.root+'index.php?g=home&m=record&a=vod&sid=1', function(data){
				if(data == ''){
					data = '<strong>暂无观看记录</strong>';
				}
				$(".xz-record-get").attr('data-content',data);
			});
		}
		//弹出事件
		$(".xz-record-get").popover().on("mouseenter", function () {
			var _this = this;
			$(this).popover("show");
			$(".popover").on("mouseleave", function () {
				$(_this).popover('hide');
			});
		}).on("mouseleave", function () {
			var _this = this;
			setTimeout(function () {
				if (!$(".popover:hover").length) {
					$(_this).popover("hide");
				}
			}, 300);
		});
	},
	'set':function(){//用户互动记录
		//自动写入观看或浏览记录
		if($(".xz-record-set[data-type=1]").eq(0).attr('data-sid')){
			$this = $(".xz-record-set[data-type=1]").eq(0);
			$.get(cms.root+'index.php?g=home&m=record&a=post&sid='+$this.attr("data-sid")+'&did='+$this.attr("data-id")+'&type=1&did_sid='+$this.attr("data-id-sid")+'&did_pid='+$this.attr("data-id-pid"));
		}
		//喜欢 想看 在看 看过 写入记录
		$('body').on('click', 'a.xz-record-set', function(e){
			//是否需要验证登录
			if(cms.userforum == 1 && cms.userid < 1){
				xzcms.user.login();
				return false;
			}
			var $this = $(this);
			if($(this).attr("data-id")){
				$.ajax({
					url: cms.root+'index.php?g=home&m=record&a=post&sid='+$(this).attr("data-sid")+'&did='+$(this).attr("data-id")+'&type='+$(this).attr("data-type"),
					cache: false,
					dataType: 'json',
					success: function(json){
						if(json.status == 200){
							$this.addClass('disabled');
						}else{
							$this.attr('title', json.info);
							$this.tooltip('show');
						}
					}
				});
			}
		});
	},
	'del':function(){//删除记录
		$('body').on('click', 'a.xz-record-delete', function(e){
			var $this = $(this);
			if($(this).attr("data-id")){
				$.ajax({
					url: cms.root+'index.php?g=home&m=record&a=delete&id='+$(this).attr("data-id"),
					cache: false,
					dataType: 'json',
					success: function(json){
						if(json.status == 200){
							location.reload();
						}else{
							$this.attr('title', json.info).tooltip('show');
						}
					}
				});
			}
		});
	}
},
'score': {//评分
	'raty': function(){
		if( $('.xz-score').length ){
			$.ajaxSetup({ 
				cache: true 
			});
			$("<link>").attr({ rel: "stylesheet",type: "text/css",href: "Public/css/jquery.raty.min.css"}).appendTo("head");
			//
			$.getScript("Public/js/jquery.raty.min.js", function(response, status) {
				$(".xz-score").each(function(i){
					$(".xz-score").eq(i).find('.xz-score-raty').raty({ 
						starType: 'i',
						number: 5,
						numberMax : 5,
						half: true,
						score : function(){
							return $(this).attr('data-score');
						},
						click: function(score, evt) {
							$this = $(this);
							$.ajax({
								type: 'get',
								url: cms.root+'index.php?s=gold-'+$(this).attr('data-module')+'-id-'+$(this).attr('data-id')+'-score-'+(score*2),
								timeout: 5000,
								dataType:'json',
								error: function(){
									$this.attr('data-original-title', '网络异常').tooltip('show');
								},
								success: function(json){
									if(json.status == 1){
										$this.parent().find('.xz-score-val').html(json.data.gold);
									}else{
										$this.attr('data-original-title', json.info).tooltip('show');
									}
								}
							});
						}
					});					
				});
			});
		}
	}
},
'updown':{//顶踩
	'click': function(){
		$('body').on('click', 'a.xz-updown-set', function(e){
			var $this = $(this);
			if($(this).attr("data-id")){
				$.ajax({
					url: cms.root+'index.php?s=updown-'+$(this).attr("data-module")+'-id-'+$(this).attr("data-id")+'-type-'+$(this).attr("data-type"),
					cache: false,
					dataType: 'json',
					success: function(json){
						$this.addClass('disabled');
						if(json.status == 1){
							if($this.attr("data-type")=='up'){
								$this.find('.xz-updown-val').html(json.data.up);
							}else{
								$this.find('.xz-updown-val').html(json.data.down);
							}
						}else{
							$this.attr('title', json.info);
							$this.tooltip('show');
						}
					}
				});
			}
		});
	}
},
'hits':{//人气
	'load': function(){
		$(".xz-hits").each(function(i){
			var $this = $(".xz-hits").eq(i);
			$.ajax({
				url: cms.root+'index.php?s=hits-show-id-'+$this.attr("data-id")+'-sid-'+$this.attr("data-sid")+'-type-'+$this.attr("data-type"),
				cache: true,
				dataType: 'json',
				success: function(json){
					$type = $this.attr('data-type');
					if($type != 'insert'){
						$this.html(eval('(json.' + $type + ')'));
					}
				}
			});
	 });
	}
},
'share':{//分享
	'baidu': function(){
		if($(".xz-share").length ){
			$size = $(".xz-share").attr('data-size');
			if(!$size){$size = 16;}
			if( $(".xz-share dd").length ){
				$id = $(".xz-share dd");
			}else{
				$id = $(".xz-share");
			}
			$($id).html('<div class="bdsharebuttonbox"><a href="#" class="bds_qzone" data-cmd="qzone" title="分享到QQ空间"></a><a href="#" class="bds_weixin" data-cmd="weixin" title="分享到微信"></a><a href="#" class="bds_sqq" data-cmd="sqq" title="分享到QQ好友"></a><a href="#" class="bds_tsina" data-cmd="tsina" title="分享到新浪微博"></a><a href="#" class="bds_tqq" data-cmd="tqq" title="分享到腾讯微博"></a><a href="#" class="bds_bdysc" data-cmd="bdysc" title="分享到百度云收藏"></a><a href="#" class="bds_copy" data-cmd="copy" title="分享到复制网址"></a></div>');
			window._bd_share_config={"common":{"bdSnsKey":{},"bdText":"","bdMini":"2","bdMiniList":false,"bdPic":"","bdStyle":"0","bdSize":""+$size+""},"share":{}};with(document)0[(getElementsByTagName('head')[0]||body).appendChild(createElement('script')).src='//bdimg.share.baidu.com/static/api/js/share.js?v=89860593.js?cdnversion='+~(-new Date()/36e5)];
		}
	}
},
'forum': {//讨论模块功能
	'load':function(){
		if($('.xz-forum[data-type=xzcms]').length){
			this.system();
		}
		if($('.xz-forum[data-type=changyan]').length){
			this.changyan();
		}
	},
	'system': function(){
		//初始加载
		if($('.xz-forum[data-type=xzcms]').attr('data-sid')){
			xzcms.forum.ajax('.xz-forum', $('.xz-forum[data-type=xzcms]').attr('data-sid'), $('.xz-forum[data-type=xzcms]').attr('data-id'),$('.xz-forum[data-type=xzcms]').attr('data-pid'), 0, 1);
		}
		//登录验证
		$(".xz-forum").on("focus", 'textarea[name=forum_content]', function(){ //表单提交
			if(cms.userforum == 1 && cms.userid < 1){
				xzcms.user.login();
			}
		});
		//回复评论
		$('body').on('click', 'a.forum-reply-set', function(){
			var $pid = $(this).attr("data-id");
			var $reply = $(this).parents('.media-body').find('.forum-reply');
			var $form = $($(".xz-forum-post").eq(0).prop("outerHTML"));
			if($pid){
				$form.find('.xz-alert').html('');
				$form.find("button[type='submit']").removeClass('disabled')
				$form.find("input[name='forum_pid']").val($pid);
				$form.show();
				$($reply).html($form);
				$($reply).collapse('toggle');
			}
		});
		//举报评论
		$('body').on('mouseenter', '.xz-forum-item .media-body', function(){
			$(this).find('.forum-report').fadeIn();
		});
		$('body').on('mouseleave', '.xz-forum-item .media-body', function(){
			$(this).find('.forum-report').fadeOut();
		});
		$('body').on('click', 'a.forum-report', function(){
			$(this).remove();//移除按钮
			var $id = $(this).attr("data-id");
			if($id){
				$.ajax({
					type: 'get',
					url: cms.root+'index.php?s=forum-report-id-'+$id,
					timeout: 3000,
					dataType:'json',
					success:function(json){
						xzcms.alert.success($('.form-forum').eq(0).find('.xz-alert'), json.info);
					}
				});
			}
		});
		//删除评论
		$('body').on('click', 'a.forum-delete', function(){
			var $this = $(this);
			var $id = $(this).attr("data-id");
			if($id){
				$.ajax({
					type: 'get',
					url: cms.root+'index.php?s=forum-delete-id-'+$id,
					timeout: 3000,
					dataType:'json',
					success:function(json){
						if(json.status == 200){
							location.reload();
						}else{
							$this.attr('title', json.info).tooltip('show');
						}
					}
				});
			}
		});
		//发表评论
		$("body").on("submit", '.xz-forum-post', function(){
			var $this = $(this);
			var $sid = $(this).find('input[name=forum_sid]').val();
			$.post($this.attr('action'), $this.serialize(), function(json){
				if(json.status == 200){//不需要审核留言
					xzcms.alert.success($this.find('.xz-alert'), json.info);//发布成功提示
					$this.find("button[type='submit']").addClass('disabled');//禁止再次提交
					//主题、回复贴处理
					if(json.data.forum_pid){//回复贴
						xzcms.forum.reply(json.data.forum_pid);//更新回复数及显示回复链接按钮
						setTimeout(function(){$('.forum-reply[data-id='+json.data.forum_pid+']').fadeOut('slow')}, 2000);//移除回复表单容器
					}else{//主题贴
						setTimeout(function(){xzcms.forum.ajax('.xz-forum-item', json.data.forum_sid, json.data.forum_cid, 0, 1, 1)}, 2000);
						setTimeout(function(){$this.hide()}, 3000);
					}
					//发表评论后是否需要刷新网页
					if($('.xz-forum-reload').length){
						location.reload();
					}
				}else if(json.status > 200){//需要审核
					xzcms.alert.success($this.find('.xz-alert'), json.info);//发布成功提示
					$this.find("button[type='submit']").addClass('disabled');//禁止再次提交
				}else{
					xzcms.alert.warning($this.find('.xz-alert'), json.info);
				}
			 },'json');
			return false;
		});
	},
	'ajax': function($target, $sid, $cid, $pid, $ismore, $page){//AJAX加载系统评论
		$.ajax({
			type: 'get',
			url: cms.root+'index.php?s=forum-ajax-sid-'+$sid+'-cid-'+$cid+'-pid-'+$pid+'-ismore-'+$ismore+'-p-'+$page,
			timeout: 3000,
			error: function(){
				$($target).html('评论加载失败，请刷新...');
			},
			success:function($html){
				$($target).html($html);
			}
		});
	},
	'reply': function($id){//更新回复数及显示回复链接
		$.ajax({
			type: 'get',
			url: cms.root+'index.php?s=forum-reply-id-'+$id,
			timeout: 3000,
			dataType:'json',
			success:function(json){
				if(json.status==200){
					$('.forum-reply-set[data-id='+$id+']').find('.forum-reply-val').html(json.data);
					$('.forum-reply-get[data-id='+$id+']').fadeIn();
				}
			}
		});
	},
	'changyan': function(){
		$appid = $('.xz-forum[data-type=changyan]').attr('data-cy-id');
		$conf = $('.xz-forum[data-type=changyan]').attr('data-cy-conf');
		$sourceid = $('.xz-forum[data-type=changyan]').attr('data-sid')+'-'+$('.xz-forum[data-type=changyan]').attr('data-id');
		var width = window.innerWidth || document.documentElement.clientWidth;
		if (width < 768) { 
			$(".xz-forum").html('<div id="SOHUCS" sid="'+$sourceid+'"></div><script charset="utf-8" id="changyan_mobile_js" src="https://changyan.sohu.com/upload/mobile/wap-js/changyan_mobile.js?client_id='+$appid+'&conf=prod_'+$conf+'"><\/script>');
		}else{
			$(".xz-forum").html('<div id="SOHUCS" sid="'+$sourceid+'"></div>');
			$.getScript("https://changyan.sohu.com/upload/changyan.js",function(){
				window.changyan.api.config({
					appid: $appid,
					conf: 'prod_'+$conf
				});
			});
		}
	}
},
'scenario': {//分集剧情
	'load':function(){
		var $max = $(".xz-scenario-pill").attr('data-max')*1;
		var $count = $(".xz-scenario-content dl").length;
		var $li = 0;
		var $list = '';
		if($count > 0 && $max>0){
			for($i=0; $i<$count; $i++){
				if(($i+$max) > $count){
					$max_ji = $count;
				}else{
					$max_ji = $i+$max;
				}
				if($i % $max == 0){
					$li++;
					$list+='<li><a href="javascript:;" data-target=".xz-scenario-'+$li+'" data-toggle="pill">第'+($i+1)+'-'+$max_ji+'集</a></li>';
				}
				$(".xz-scenario-content dl").eq($i).addClass('xz-scenario-'+$li);
			}
			$('.xz-scenario-pill').html($list);
			$('.xz-scenario-pill a:first').tab('show');
		}
	}
},
'playurl': {//播放地址
	'tongji': function(){
		if($("#cms_player").length){
			$.getScript("//api.xzcmsapi.com/Server/tongji/index.php?"+~(-new Date()/36e5));
		}
	},
	'active':function(){
		$('.xz-playurl li[data-id="'+$('.xz-playurl[data-active]').attr('data-active')+'"]').addClass("active");
		$('.xz-playurl-tab a[data-target="'+$('.xz-playurl-tab[data-active]').attr('data-active')+'"]').tab('show');
		$('.xz-playurl-dropdown a[data-target="'+$('.xz-playurl-dropdown[data-active]').attr('data-active')+'"]').tab('show');
	},	
	'dropdown':function(){
		$('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
			$(this).parents('.btn-group').find('.dropdown-toggle span:eq(0)').html($(e.target).text());
			$(this).parents('.dropdown-menu').find('li').removeClass('active');
			$(this).parent().addClass('active');
		});
	},
	'error':function(){//报错
		$('.xz-playurl-error').on('click',function(){
			$id = $(this).attr('data-id');
			$sid = $(this).attr('data-sid');
			$pid = $(this).attr('data-pid');
			$content = $(this).attr('data-content')+' 第'+$sid+'组 第'+$pid+'集';
			$.ajax({
				type: 'POST',
				url: cms.root+'index.php?s=forum-update',
				timeout: 3000,
				dataType:'json',
				data: "forum_sid=24&forum_pid="+$sid+"&forum_cid="+$id+"&forum_cid_ep="+$pid+"&forum_content="+$content,
				error: function(){
					alert('网络异常');
				},
				success: function(json){
					alert('提交成功');
				}
			});
		});
	},
	'more':function(){//...效果
		$('.xz-playurl').each(function(i){
			$this = $(this);
			$config = $this.attr('data-more')*1;
			$max = $this.find('li a').length;
			if(($config+2) < $max && $config>0){
				$max_html = $($this.find('li:last').prop("outerHTML")).find('a').attr('href','#all').html('全部...');
				$max_html = '<li class="'+$this.find('li').attr('class')+'">'+$max_html.prop("outerHTML")+'</li>';
				$this.find('li').each(function(n){
					if(n+1 > $config){
						$(this).hide();
					}
				});
				$this.find('li').eq($config).after($max_html);
				$this.find('li:last').show();
			}
	 	});
		//more点击
		$('.xz-playurl').on('click', 'a', function(e){
			if($(this).attr('href') == '#all'){
				$(this).parent().parent().find('li').show();
				$(this).parent().remove();
				return false;
			}
		});
	},
	//vip播放器回调
	'vip_callback':function($vod_id, $vod_sid, $vod_pid, $status, $trysee, $tips){
		if($status != 200){
			if($trysee > 0){
				window.setTimeout(function(){
					$.get(cms.root+'index.php?s=vod-vip-action-trysee-id-'+$vod_id+'-sid-'+$vod_sid+'-pid-'+$vod_pid, function(html){
						$('#cms_player').html(html).removeClass("embed-responsive-4by3").removeClass("embed-responsive-16by9").css({"height":"auto"});
					},'html');
				},1000*60*$trysee);
			}else{
				$('#cms-player-vip .cms-player-box').html($tips);
				$('#cms-player-vip .cms-player-iframe').hide();
				$('#cms_player').removeClass("embed-responsive-4by3").removeClass("embed-responsive-16by9").css({"height":"auto"});
			}
			//支付影币按钮
			$('#cms_player').on("click",".vod-price",function(){
				$(this).html('Loading...');
				$.get(cms.root+'index.php?s=vod-vip-action-ispay-id-'+$vod_id+'-sid-'+$vod_sid+'-pid-'+$vod_pid, function(json){
					if(json.status == 200){
						location.reload();
					}else if(json.status == 500 || json.status == 501){
						xzcms.user.login();
					}else{
						$('#cms_player').html(json.info);
					}
				},'json');
			});
		}else{
			//拥有VIP观看权限
		}
	},
	'xunlei':function(){//迅雷下载
		if($(".xz-playurl-down").length){
			$.getScript("//open.thunderurl.com/thunder-link.js",function(){
				//单个下载
				jQuery(".thunder-link").unbind("click").bind("click",function(){
					thunderLink.newTask({
						downloadDir: '',
						tasks: [{
							name: jQuery(this).attr("data-name"),
							url: jQuery(this).attr("data-url")
						}]
					});
					return false;
				});
				//批量下载任务
				jQuery(".thunder-link-all").unbind("click").bind("click",function(){
					var index=jQuery(this).attr("data-sid");
					var tasks=[];
					jQuery("input[name='thunder-link-all-"+index+"']:checked").each(function(i){
						tasks.push({"name":jQuery(this).attr("data-name"),"url":jQuery(this).val()});
					});
					thunderLink.newTask({
						downloadDir: '',
						installFile: '',
						taskGroupName: '',
						tasks: tasks
					});
				});
				//3.4增加鼠标点击去掉文件名标题
				$(".xz-playurl-down input[type=text]").focus(function(){
					$(this).val($(this).parent().find('input[type=checkbox]').val());
				});
				//3.8增加失去焦点事件
				$(".xz-playurl-down input[type=text]").blur(function(){
					$(this).val($(this).parent().find('input[type=checkbox]').attr('data-name')+' '+$(this).parent().find('input[type=checkbox]').val());
				});
			});
		}
	}
},
'user':{
	//基础功能
	'load':function(){
		//不同模式下处理用户基础信息
		xzcms.user.islogin();
		//模态框登录事件
		$("body").on("click",".user-login-modal",function(){
			xzcms.user.login();
			return false;
		});
		//积分在线充值事件
		$("body").on("click",".user-score-payment",function(){
			xzcms.user.ScorePayment();
			return false;
		});
		//积分卡密充值事件
		$("body").on("click",".user-score-card",function(){
			xzcms.user.ScoreCard();
			return false;
		});
		//积分升级VIP事件
		$("body").on("click",".user-score-upvip",function(){
			xzcms.user.ScoreUpvip();
			return false;
		});
		//用户中心修改邮箱
		$("body").on("click",".user-change-email", function(){
			xzcms.user.ChangeEmail();
			return false;
		});
		//用户中心修改密码
		$("body").on("click",".user-change-pwd", function(){
			xzcms.user.ChangePwd();
			return false;
		});
	},
	//静态模式加载用户ID
	'islogin':function(){
		if($('.xz-user').length && (cms.urlhtml == 1)){
			$.ajax({
				type: 'get',
				url: cms.root+'index.php?s=user-info',
				timeout: 3000,
				dataType:'json',
				success:function(json){
					if(json.status==200){
						cms.userid = json.data.user_id;
						cms.username = json.data.user_name;
						$('.xz-user').removeClass("user-login-modal");
						$('.xz-user[data-href]').attr('href',$('.xz-user[data-href]').attr('data-href'));
						$('.xz-user[data-name]').html('<a href="'+$('.xz-user').attr('data-href')+'">'+cms.username+'</a>');
					}
				}
			});
		}
	},
	//AJAX模态框登录
	'login':function(){
		$('.xz-modal').remove();
		$.ajax({
			type: 'get',
			cache: false,
			url: cms.root+'index.php?s=user-ajax_login',
			timeout: 3000,
			success:function($html){
				$('body').append($html);
				$('.xz-modal').modal('show');
				$(".form-user-login").on('submit',function(e){
					$.ajax({
						url: $(this).attr('action'),
						type: 'POST',
						dataType: 'json',
						timeout: 3000,
						data: $(this).serialize(),
						beforeSend: function(xhr){
							$('.user-login-alert').html('正在登录...');
						},
						error : function(){
							$('.user-login-alert').html('请求失败，请刷新网页。');
						},
						success: function(json){
							if(json.status == 200){
								location.reload();
							}else{
								$('#user-submit').html('登录');
								xzcms.alert.warning('.user-login-alert',json.info);
							}
						},
						complete: function(xhr){
						}
					});
					return false;
				});
			}
		});
	},
	//积分在线充值
	'ScorePayment':function(){
		xzcms.order.payment();
	},
	//积分卡密充值
	'ScoreCard':function(){
		xzcms.order.card();
	},
	//升级VIP
	'ScoreUpvip':function(){
		$('.xz-modal').remove();
		$('.modal-backdrop').hide();
		$.ajax({
			type: 'get',
			url: cms.root+'index.php?s=user-ajax_upvip',
			timeout: 3000,
			success:function($html){
				$('body').append($html);
				$('.xz-modal').modal('show');
				$(".user-upvip-form").on('submit',function(e){
					$data_url = $(this).attr('data-url');//卡密充值地址
					$.ajax({
						url: $(this).attr('action'),
						type: 'POST',
						dataType: 'json',
						timeout: 3000,
						data: $(this).serialize(),
						beforeSend: function(xhr){
							$('.user-upvip-alert').html('Loading...');
						},
						error : function(){
							$('.user-upvip-alert').html('请求失败，请刷新网页。');
						},
						success: function(json){
							if(json.status == 200){
								xzcms.alert.success('.user-upvip-alert', '升级完成，谢谢支持。');
								setTimeout(function(){location.reload();}, 2000);
							}else if(json.status == 404){
								xzcms.alert.success('.user-upvip-alert', '请先登录。');
								setTimeout(function(){$(".xz-modal").modal('hide');$('.modal-backdrop').hide();xzcms.user.login();}, 2000);
							}else if(json.status == 501){
								xzcms.alert.warning('.user-upvip-alert', '影币不足，共需要'+json.info+'个影币，请先冲值！');
								//有卡密售卖的时候
								if($data_url && $('.user-upvip-btn').length){
									$('.user-upvip-btn').removeClass('hidden').removeClass('d-none').show();
								}else{
									setTimeout(function(){$(".xz-modal").modal('hide');$('.modal-backdrop').hide();xzcms.order.payment();}, 2000);
								}
							}else{
								xzcms.alert.warning('.user-upvip-alert', json.info);
							}
						},
						complete: function(xhr){
						}
					});
					return false;
				});
			}
		});
	},
	//修改邮箱
	'ChangeEmail':function(){
		$('.xz-modal').remove();
		$('.modal-backdrop').hide();
		$.ajax({
			type: 'get',
			url: cms.root+'index.php?s=user-ajax_email',
			timeout: 3000,
			success:function($html){
				$('body').append($html);
				$('.xz-modal').modal('show');
				$(".user-email-form").on('submit',function(e){
					$.ajax({
						url: $(this).attr('action'),
						type: 'POST',
						dataType: 'json',
						timeout: 3000,
						data: $(this).serialize(),
						beforeSend: function(xhr){
							$('.user-email-alert').html('Loading...');
						},
						error : function(){
							$('.user-email-alert').html('请求失败，请刷新网页。');
						},
						success: function(json){
							if(json.status == 200){
								xzcms.alert.success('.user-email-alert', '邮箱修改完成。');
								setTimeout(function(){location.reload();}, 2000);
							}else if(json.status == 404){
								xzcms.alert.success('.user-email-alert', '请先登录。');
								setTimeout(function(){$(".xz-modal").modal('hide');$('.modal-backdrop').hide();xzcms.user.login();}, 2000);
							}else{
								xzcms.alert.warning('.user-email-alert', json.info);
							}
						},
						complete: function(xhr){
						}
					});
					return false;
				});
			}
		});
	},
	//修改密码
	'ChangePwd':function(){
		$('.xz-modal').remove();
		$.ajax({
			type: 'get',
			url: cms.root+'index.php?s=user-ajax_repwd',
			timeout: 3000,
			success:function($html){
				$('body').append($html);
				$('.xz-modal').modal('show');
				$(".user-repwd-form").on('submit',function(e){
					$.ajax({
						url: $(this).attr('action'),
						type: 'POST',
						dataType: 'json',
						timeout: 3000,
						data: $(this).serialize(),
						beforeSend: function(xhr){
							$('.user-repwd-alert').html('Loading...');
						},
						error : function(){
							$('.user-repwd-alert').html('请求失败，请刷新网页。');
						},
						success: function(json){
							if(json.status == 200){
								xzcms.alert.success('.user-repwd-alert', '密码修改完成。');
								setTimeout(function(){location.reload();}, 2000);
							}else if(json.status == 404){
								xzcms.alert.success('.user-repwd-alert', '请先登录。');
								setTimeout(function(){$(".xz-modal").modal('hide');$('.modal-backdrop').hide();xzcms.user.login();}, 2000);
							}else{
								xzcms.alert.warning('.user-repwd-alert', json.info);
							}
						},
						complete: function(xhr){
						}
					});
					return false;
				});
			}
		});
	}
},
'order':{//影币订单模块
	'payment':function(){//在线充值付款界面
		$('.xz-modal').remove();
		$('.modal-backdrop').hide();
		$.ajax({
			type: 'get',
			url: cms.root+'index.php?s=payment-index',
			timeout: 3000,
			success:function($html){
				$('body').append($html);
				$('.xz-modal').modal('show');
				$(".forum-payment").on('submit',function(e){
					if($(".forum-payment input[name=score_ext]").val() < $(".forum-payment").attr('data-small')){
						xzcms.alert.warning('.user-pay-alert', '每次至少充值<strong>'+$(".forum-payment").attr('data-small')+'</strong>元');
						return false;
					}
					setTimeout(function(){$(".xz-modal").modal('hide');$('.modal-backdrop').hide();}, 5000);
				});
			}
		});
	},
	'card':function(){//卡密充值付款界面
		$('.xz-modal').remove();
		$('.modal-backdrop').hide();
		$.ajax({
			type: 'get',
			url: cms.root+'index.php?s=payment-card',
			timeout: 3000,
			success:function($html){
				$('body').append($html);
				$('.xz-modal').modal('show');
				$(".forum-card").on('submit',function(e){
					$.ajax({
						url: $(this).attr('action'),
						type: 'POST',
						dataType: 'json',
						timeout: 3000,
						data: $(this).serialize(),
						beforeSend: function(xhr){
							$('.alert-card').html('Loading...');
						},
						error : function(){
							$('.alert-card').html('请求失败，请刷新网页。');
						},
						success: function(json){
							if(json.status == 200){
								xzcms.alert.success('.alert-card', '充值成功，谢谢支持。');
								setTimeout(function(){location.reload();}, 2000);
							}else{
								xzcms.alert.warning('.alert-card', json.info);
							}
						},
						complete: function(xhr){
						}
					});
					return false;
				});
			}
		});
	}
}
//end
};
/*.xz-search #wd #xz-goback .xz-gallery .xz-raty .xz-img .xz-share .xz-safecode .xz-reply*/
$(document).ready(function(){
	if(xzcms.browser.useragent.mobile){
		xzcms.mobile.jump();
		xzcms.mobile.nav();
		xzcms.mobile.goback();
		xzcms.mobile.flickity();
	}
	xzcms.user.load();
	xzcms.cms.nav();
	xzcms.cms.collapse();
	xzcms.cms.pushBaidu();
	xzcms.search.dropdown();
	xzcms.search.autocomplete();
	xzcms.search.hot();
	xzcms.search.submit();
	xzcms.search.keydown();
	xzcms.image.lazyload();
	xzcms.image.slide();
	xzcms.image.qrcode();
	xzcms.playurl.tongji();
	xzcms.playurl.more();
	xzcms.playurl.error();
	xzcms.playurl.dropdown();
	xzcms.playurl.active();
	xzcms.playurl.xunlei();
	xzcms.page.more();
	xzcms.page.keydown();
	xzcms.page.scroll();
	xzcms.updown.click();
	xzcms.score.raty();
	xzcms.scenario.load();
	xzcms.forum.load();
	xzcms.vcode.load();
	xzcms.record.load();
	xzcms.hits.load();
	xzcms.share.baidu();
});